내 반품 목록 조회
curl --request GET \
--url https://api.headlesscommerce.io/v1/storefront/returns \
--header 'Authorization: Bearer <token>' \
--header 'X-Customer-Token: <api-key>'{
"data": [
{
"id": "<string>",
"order_id": "<string>",
"customer_id": "<string>",
"reason": "<string>",
"customer_notes": "<string>",
"admin_notes": "<string>",
"lines": [
{
"id": "<string>",
"order_line_id": "<string>",
"quantity": 123,
"reason": "<string>",
"condition": "<string>",
"exchange_variant_id": "<string>"
}
],
"refund": {
"id": "<string>",
"order_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"reason": "<string>",
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}Storefront - 반품
내 반품 목록 조회
GET
/
storefront
/
returns
내 반품 목록 조회
curl --request GET \
--url https://api.headlesscommerce.io/v1/storefront/returns \
--header 'Authorization: Bearer <token>' \
--header 'X-Customer-Token: <api-key>'{
"data": [
{
"id": "<string>",
"order_id": "<string>",
"customer_id": "<string>",
"reason": "<string>",
"customer_notes": "<string>",
"admin_notes": "<string>",
"lines": [
{
"id": "<string>",
"order_line_id": "<string>",
"quantity": 123,
"reason": "<string>",
"condition": "<string>",
"exchange_variant_id": "<string>"
}
],
"refund": {
"id": "<string>",
"order_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"reason": "<string>",
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}인증
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Storefront customer authentication token. Issued via POST /admin/customers/{id}/token. Required for accessing /storefront/customers/, /storefront/orders/.
쿼리 매개변수
필수 범위:
1 <= x <= 100Return results after this ID (cursor)
⌘I